Subject: Re: your mail

From: Zheng Gengbin <[email-masked]>
Date: Wed, 4 Dec 1996 14:31:28 +0800 (EAT)

On Tue, 3 Dec 1996, Guansong Zhang wrote:

> On Dec 3, 10:43am, Zheng Gengbin wrote:
> > Subject:
> >
> >
> > 	I found the variable argument lists always caused the portability
> > problem . The definitions of va_start and va_arg are different between ANSI c
> > and non_ansi c .
> >
> > 	I intend to remove the use of this in xsageop by enumerating all the
> > arguments .for example the calling of newExpr (int code,PTR_TYPE ntype,...)
> > can be replaced by
> > 	newExpr(code , ntype ,symb , ll_ptr1,ll_ptr2) .
> > When some arguments are not needed , it can be replace as NULL .
> >
> > 	I want to know your comments.
> >
> >
> > Zheng
> >
> >-- End of excerpt from Zheng Gengbin
> 
> So far, I don't meet problem you mentioned, so I can not provide useful idea.
>

	In the old version of gcc before 2.7 such as 2.6.3 in kestrel ,gcc
cannot compile low_level.c .

> But I noticed that some of them do have variable number of arguments, changing
> in your way may cause problem.
> 

	In fact I also have no time to do this . But I am sure my way is
feasible .

Zheng